{
  "name": "@k-int/stripes-kint-components",
  "version": "5.2.0",
  "description": "Stripes Component library for K-Int specific applications",
  "sideEffects": [
    "*.css"
  ],
  "license": "Apache-2.0",
  "scripts": {
    "lint": "eslint src --resolve-plugins-relative-to ./node_modules/@folio/eslint-config-stripes/",
    "test": "yarn run test:jest",
    "test:jest": "jest --ci --coverage --maxWorkers=50%",
    "build:es": "rm -rf ./es && babel --extensions .js --ignore ./src/**/tests/**/* ./src --out-dir es",
    "build": "yarn build:es",
    "clean": "rm -rf ./node_modules ./*/node_modules ./yarn.lock && yarn install --ignore-scripts",
    "clean-install": "yarn clean && yarn install --ignore-scripts",
    "clean-build": "yarn clean-install && yarn build",
    "prepare": "yarn build",
    "semantic-release": "semantic-release"
  },
  "publishConfig": {
    "access": "public"
  },
  "dependencies": {
    "@rehooks/local-storage": "^2.4.4",
    "compose-function": "^3.0.3",
    "react-resize-detector": "^11.0.0",
    "zustand": "^4.0.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.18.10",
    "@babel/core": "^7.18.6",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-proposal-decorators": "^7.12.1",
    "@babel/plugin-proposal-function-sent": "^7.18.6",
    "@babel/plugin-proposal-throw-expressions": "^7.18.6",
    "@babel/plugin-syntax-import-meta": "^7.10.4",
    "@babel/plugin-transform-runtime": "^7.12.1",
    "@babel/preset-env": "^7.18.9",
    "@babel/preset-flow": "^7.18.6",
    "@babel/preset-react": "^7.18.6",
    "@babel/preset-typescript": "^7.18.6",
    "@folio/eslint-config-stripes": "^7.0.0 || ^8.0.0",
    "@folio/jest-config-stripes": "^2.0.0 || ^3.0.0",
    "@folio/stripes": "^9.0.0 || ^10.0.0",
    "@folio/stripes-cli": "^3.0.0 || ^4.0.0",
    "@folio/stripes-erm-testing": "^2.0.0",
    "@formatjs/cli": "^6.6.0",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.0.6",
    "@semantic-release/npm": "^11.0.0",
    "babel-plugin-const-enum": "^1.0.1",
    "babel-plugin-module-resolver": "^5.0.0",
    "babel-plugin-require-context-hook": "^1.0.0",
    "babel-plugin-transform-async-to-promises": "^0.8.15",
    "babel-polyfill": "^6.26.0",
    "classnames": ">=2.2.6",
    "core-js": "^3.6.1",
    "eslint": "^8.0.0",
    "eslint-plugin-jest": "^28.0.0",
    "graphql": "^16.0.0",
    "identity-obj-proxy": "^3.0.0",
    "prop-types-extra": ">=1.1.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-intl": "^6.4.4 || ^7.1.5",
    "react-query": "^3.6.0",
    "react-redux": "^9.0.0",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "redux": "^5.0.0",
    "redux-observable": "^2.0.0",
    "regenerator-runtime": "^0.14.0",
    "rxjs": "^7.0.0",
    "semantic-release": "^22.0.6",
    "sinon": "^18.0.0"
  },
  "peerDependencies": {
    "@folio/stripes": "^9.0.0 || ^10.0.0",
    "final-form": ">=4.18.4",
    "final-form-arrays": ">=3.0.1",
    "lodash": ">=4.17.0",
    "prop-types": ">=15.6.0",
    "query-string": ">=6.6.0",
    "react": "*",
    "react-final-form": ">=6.3.0",
    "react-final-form-arrays": ">=3.1.0",
    "react-intl": "^6.4.4 || ^7.1.5",
    "react-query": ">=3.9.0",
    "react-router-dom": ">=5.2.0"
  },
  "main": "src/index.js",
  "module": "es/index.js",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:knowledge-integration/folio/stripes-kint-components.git"
  },
  "author": "knowledgeintegration"
}